List notifications for the current user
curl --request GET \
--url https://core.cyberun.cloud/api/v1/notifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.cyberun.cloud/api/v1/notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.cyberun.cloud/api/v1/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core.cyberun.cloud/api/v1/notifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.cyberun.cloud/api/v1/notifications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.cyberun.cloud/api/v1/notifications")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.cyberun.cloud/api/v1/notifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"notification_list": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notification_type": "task_completed",
"notification_title": "Order Completed",
"notification_body": "Your task has been completed successfully.",
"is_read": true,
"created_at": "2023-11-07T05:31:56Z",
"recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_type": "<string>",
"reference_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"page_meta": {
"current_page": 1,
"per_page": 20,
"total_count": 42
}
}{
"error_message": "resource not found"
}Notifications
List notifications for the current user
GET
/
notifications
List notifications for the current user
curl --request GET \
--url https://core.cyberun.cloud/api/v1/notifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.cyberun.cloud/api/v1/notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.cyberun.cloud/api/v1/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core.cyberun.cloud/api/v1/notifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.cyberun.cloud/api/v1/notifications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.cyberun.cloud/api/v1/notifications")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.cyberun.cloud/api/v1/notifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"notification_list": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notification_type": "task_completed",
"notification_title": "Order Completed",
"notification_body": "Your task has been completed successfully.",
"is_read": true,
"created_at": "2023-11-07T05:31:56Z",
"recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_type": "<string>",
"reference_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"page_meta": {
"current_page": 1,
"per_page": 20,
"total_count": 42
}
}{
"error_message": "resource not found"
}Authorizations
User session JWT (Bearer ). Must be paired with the X-Team-ID
request header on team-scoped endpoints so the server knows which
team's resources to operate on.
Query Parameters
Page number to retrieve (1-based). Default: 1.
Required range:
x >= 1Example:
1
Number of items per page (1–100). Default: 20.
Required range:
1 <= x <= 100Example:
20
If true, return only unread notifications
